> ## Documentation Index
> Fetch the complete documentation index at: https://docs.perquery.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List personas

> Returns the personas of the site.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/sites/{site_uuid}/personas
openapi: 3.0.3
info:
  title: Perquery API
  version: 1.0.0
  description: Read-only access to the data of your Perquery organization.
servers:
  - url: https://perquery.ai/api
security:
  - apiKey: []
paths:
  /v1/sites/{site_uuid}/personas:
    get:
      tags:
        - Personas
      summary: List personas
      description: Returns the personas of the site.
      operationId: list_personas
      parameters:
        - in: path
          name: site_uuid
          schema:
            type: string
            format: uuid
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PersonaList'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PersonaList:
      type: object
      properties:
        personas:
          type: array
          items:
            $ref: '#/components/schemas/Persona'
      required:
        - personas
    Persona:
      type: object
      properties:
        uuid:
          type: string
          format: uuid
        name:
          type: string
        system_prompt:
          type: string
          nullable: true
        kind:
          $ref: '#/components/schemas/PersonaKind'
        is_raw:
          type: boolean
        is_target:
          type: boolean
      required:
        - is_raw
        - is_target
        - kind
        - name
        - system_prompt
        - uuid
    PersonaKind:
      enum:
        - demographic
        - need
        - behavioral
        - custom
      type: string
      description: |-
        * `demographic` - demographic
        * `need` - need
        * `behavioral` - behavioral
        * `custom` - custom
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: Authorization
      description: '`ApiKey pq_<prefix>_<secret>`. An API key gives read-only access.'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.